If you switched to Three20’s iPad branch and got a linking error…

If you switched to Three20’s iPad branch and see a linking error about MFMailComposeViewController in TTEmailComposer.o, make sure you add MessageUI.framework to your build target.

,

4 Responses to If you switched to Three20’s iPad branch and got a linking error…

  1. Nathan S. April 14, 2010 at 11:30 pm #

    Thanks. I would have spent forever figuring that out.

  2. ayn April 16, 2010 at 5:24 am #

    No problem. Also, if you run into strange inheritence problems, make sure you pull today's commits by Jeff.

  3. Raj June 9, 2010 at 4:59 am #

    Hi there,

    Is it possible to use Three20 for iPad? Are there any issues? Also, are there any alternatives to it?

    • ayn June 12, 2010 at 6:46 pm #

      It depends what you're trying to do, if you expect Three20 to work out of the box on an iPad then you shouldn't use it yet, there is a GSoC project to make the framework iPad compatible. In my universal app I am using my extensions of the ThumbsVC and PhotoVC and WebController, and it works great with a little bit of hacking.

Leave a Reply